" File: groovy.vim
" Author: Kenneth Benzie (Benie) <k.benzie83@gmail.com>
" Description: Extended groovy syntax for Jenkins DSL.

" Highlight shell('') and shell('''''') blocks with the sh filetype.
syn include @groovyHighlightSh syntax/sh.vim
syn region groovyHighlightSh matchgroup=groovyString start="shell(\zs'\(''\)\=" end="\(''\)\='\ze)" contains=@groovyHighlightSh

" Highlight batchFile('') and batchFile('''''') blocks with the batch filetype.
syn include @groovyHighlightBatch syntax/batch.vim
syn region groovyHighlightBatch matchgroup=groovyString start="batchFile(\zs'\(''\)\=" end="\(''\)\='\ze)" contains=@groovyHighlightBatch
